Skip to main content
GET
List benchmark index prices to compare performance

Authorizations

Authorization
string
header
required

Itoflow access token issued for the Itoflow API.

Query Parameters

period
enum<string>
default:1M

Time range to return. Ignored when startDate is set.

Available options:
1D,
1W,
1M,
3M,
6M,
1Y,
YTD,
ALL
Example:

"1M"

startDate
string

Start of the range as an ISO date. Overrides period.

Example:

"2025-01-01"

endDate
string

End of the range as an ISO date. Defaults to now.

Example:

"2025-06-30"

symbols
string

Comma-separated benchmark symbols. Defaults to all: SPY.US (S&P 500), QQQ.US (NASDAQ 100), EFA.US (MSCI EAFE), NIFTYBEES.NSE (Nifty 50 ETF) and ISF.LSE (FTSE 100 ETF).

Example:

"SPY.US,QQQ.US"

alignTo
enum<string>
default:benchmark

Set to portfolio to line timestamps up with 15-minute portfolio values.

Available options:
portfolio,
benchmark
Example:

"benchmark"

Response

List benchmark index prices to compare performance

error
string
message
string
ok
boolean
status
string
success
boolean
{key}
any